wpa 2.2-1 source package in Debian

Changelog

wpa (2.2-1) unstable; urgency=medium


  * New upstream release:
    - import suggested changes from Gerald Turner <email address hidden> (see
      #718651 for details).
      + disable ACS for hostapd on kfreebsd-any (FTBS).
    - fixed by the new upstream version:
      + wpa_supplicant: OpenSSL: tls_connection_handshake - Failed to read
      (Closes: #561081).
      + wpasupplicant: new upstream release 2.2 (Closes: #718651).
      + wpasupplicant: -s option not documented in man page (Closes: #608135).
    - refresh patches:
      + drop 13_human_readable_signal.patch, applied upstream.
      + drop hostapd_fix-WDS-VLAN-bridge-handling.patch, applied upstream.
      + drop fix-spelling-s-algorith-algorithm.patch, applied upstream.
    - adapt build configs for hostapd/ wpa_supplicant 2.2:
      + sync with updated upstream defconfigs.
      + keep Hotspot 2.0 support disabled for the time being.
      + hostapd: keep sqlite3 support disabled for the time being.
    - update debian/copyright manually, the wpa v2 branch was relicensed from
      (BSD-3-clause || GPL-2) to BSD-3-clause only (for the most part). This
      doesn't change the licensing state as the BSD-3-clause license is 
      compatible with GPL-2.
  * drop pre-wheezy /lib/init/rw/sendsigs.omit.d/ migration support, invert the
    versioned initscripts dependency to a versioned breaks relation.
  * migrate from /var/run/ to /run/.
  * adapt get-orig-source for wpa 2.2.
  * drop version qualifiers for libnl3 build dependencies, as they're
    fullfilled by wheezy.
  * drop version qualifiers for the lsb-base build dependency, as they're
    fullfilled by squeeze.
  * shorten short description for hostapd.
  * sort debian/control entries.
  * make lintian happy (invalid-short-name-in-dep5-copyright bsd) and call it
    BSD-3-clause.
  * enable DEBUG_SYSLOG and set DEBUG_SYSLOG_FACILITY=LOG_DAEMON, as requested
    by Cyril Brulebois <email address hidden> to improve logging options for d-i and
    netcfg (Closes: #761922).
  * fix various typos around "existence", thanks to A. Costa <email address hidden>,
    (Closes: #683636).
  * ap_config.c: fix typo for "capabilities".
  * remove no longer required lintian override (spelling-error-in-binary for
    the).

 -- Stefan Lippers-Hollmann <email address hidden>  Wed, 17 Sep 2014 04:52:36 +0200

Upload details

Uploaded by:
Debian/Ubuntu wpasupplicant Maintainers on 2014-09-18
Uploaded to:
Sid
Original maintainer:
Debian/Ubuntu wpasupplicant Maintainers
Architectures:
linux-any kfreebsd-any
Section:
net
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Downloads

File Size SHA-256 Checksum
wpa_2.2-1.dsc 2.4 KiB b84aad3de5dc0d05c12134caf042a53d81fce889a45eeb37dd0c394782fe3581
wpa_2.2.orig.tar.xz 1.6 MiB ed27e9db9e65dd0c31dcf9801c5f144a370213ec6ea31b24564ebf443edfc169
wpa_2.2-1.debian.tar.xz 72.5 KiB 9e2837b8afd6f8a7c790a9a709250b8ee866539ac5ef039b5bfb29cdd55ebea6

No changes file available.

Binary packages built by this source